colors = new Array("blue", "yellow", "black", "green", "red");
r = 100;
offset = 20;
ydir = 1;
xstart = -2*(r+offset);

XCircuit.autorefresh = false;

for (i=0; i<5; i++) {
	a = XCircuit.arc(xstart, ydir*r/2, r);
	a.color = colors[i];
	a.width = 8.0;

	xstart += r+offset;
	ydir = -ydir;
}

XCircuit.autorefresh = true;
XCircuit.refresh();
